DEX Bot
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's DEX signal bots
GET /api/v2/bot/signal/dex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's DEX signal bots
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot max 255 characters
My botThe folder id of the bot
12The id of a bot webhook
1The id of a bot factory
1The id of a chain
137The address of the bot
0x1234567890123456789012345678901234567890The symbol of the bot
BTCSet how often the bot will check for new signals. eg. 10 means 10 in 1 second
10DEX signal bot created successfully
Missing parameters, invalid data, or invalid contract address
Factory or webhook not found
POST /api/v2/bot/signal/dex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"name": "My bot",
"folder_id": 12,
"webhook_id": "1",
"factory_id": "1",
"chain_id": "137",
"address": "0x1234567890123456789012345678901234567890",
"symbol": "BTC",
"delay": 10
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Total number of DEX signal bots
10GET /api/v2/bot/signal/dex/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Total number of DEX signal bots
{
"total": 10
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
DEX signal bot details
Missing bot id
Bot not found
GET /api/v2/bot/signal/dex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot max 255 characters
My botThe folder id of the bot
12The id of a bot webhook
1The symbol of the bot
BTCSet how often the bot will check for new signals. eg. 10 means 10 in 1 second
10DEX signal bot updated successfully
SuccessMissing bot id or invalid data
Bot or webhook not found
PUT /api/v2/bot/signal/dex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 75
{
"name": "My bot",
"folder_id": 12,
"webhook_id": "1",
"symbol": "BTC",
"delay": 10
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
DEX signal bot deleted successfully
SuccessMissing bot id
Bot not found
DELETE /api/v2/bot/signal/dex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
DEX signal bot details
Missing chain id or address
Bot not found
GET /api/v2/bot/signal/dex/{chainId}/{address} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Factory details
Missing chain or exchange
Factory not found
GET /api/v2/bot/signal/dex/factory/{chainId}/{exchangeId} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing bot id, invalid status, or status already set
DEX bot limit reached
Bot not found
PUT /api/v2/bot/signal/dex/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Last updated